Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160850 - installing openhpi rpm does not create needed directories
Summary: installing openhpi rpm does not create needed directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openhpi
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 20:03 UTC by Renier Morales
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-07 15:20:09 UTC


Attachments (Terms of Use)

Description Renier Morales 2005-06-17 20:03:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050401

Description of problem:
After installing the openhpi rpm, the /etc/openhpi dir and the /var/lib/openhpi dir were not created.

Version-Release number of selected component (if applicable):
openhpi-2.0.3 rpm

How reproducible:
Always

Steps to Reproduce:
1. Install openhpi rpm
 

Actual Results:  See description above. OpenHPI can't work without the directories mentioned in the description.

Expected Results:  /etc/openhpi should have been created. In there there should be a file called openhpi.conf with the contents of :
###
plugin libdummy
handler libdummy {
        entity_root = "{SYSTEM_CHASSIS,1}"
        name = "test"
        addr =  0
}
###

Also, /var/lib/openhpi should be created as a directory and have full 777 permissions.

Additional info:

Comment 1 Phil Knirsch 2005-11-07 15:20:09 UTC
Fixed with proper rights, too for /var/lib/openhpi in latest FC development build.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.